/* Contenedor principal */
.main-container {
    display: flex;
    margin-left: 10%;
    width: 73%;
    justify-content: space-between;

}

/* Contenedor para los podcasts con dos columnas */
.contenedor-podcast {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap; /* Esto permitirá que las columnas se ajusten en pantallas más pequeñas */
    gap: 20px; /* Espacio de 20px entre los podcasts */
    width: 100%;
    margin-right: 20px;
}

/* Estilo para cada bloque de podcast */
.podcast-1, .podcast-2 {
    display: flex;
    flex-direction: column; /* Cambia la dirección a columna */
    width: 100%; /* Ambos contenedores ocuparán el 48% del ancho del contenedor principal */
    border-right: 1px solid #ccc; /* Línea gris divisora */
    padding-right: 20px;
}

/* Elimina la línea divisora del último podcast */
.podcast-2 {
    border-right: 1px solid #ccc; 
}

/* Estilo de la imagen del podcast */
.image-podcast-1 img, .image-podcast-2 img {
    width: 150px; /* Tamaño pequeño de la imagen */
    height: 140px;
    margin-right: 15px;
    border-radius: 10px;
    overflow: hidden;
   
}

/* Contenedor del texto alineado a la derecha de la imagen */
.podcast-content {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    width: 100%; /* El contenido ocupará todo el ancho del contenedor */
}

/* Título alineado a la derecha de la imagen */
.podcast-title {
    font-size: 1.3em;
    font-weight: bold;
    margin-bottom: -4px;
    margin-left: 166px;
    color: #096494;
    font-family: "Open Sans", Arial, sans-serif;
    margin-top: -151px;
}

/* Fecha debajo del título */
.podcast-date {
    font-size: 1em;
    color: #f67e62;
    font-family: "Open Sans", Arial, sans-serif;
    margin-bottom: 10px;
    margin-left: 166px;
}

.podcast-duracion{
    font-size: 0.8em;
    color: #f67e62;
    font-family: "Open Sans", Arial, sans-serif;
    margin-bottom: -12px;
    margin-left: 166px;
    margin-top: -12px;
}

.podcast-duracion-2{

    font-size: 0.8em;
    color: #f67e62;
    font-family: "Open Sans", Arial, sans-serif;
    margin-bottom: -12px;
    margin-left: 166px;
    margin-top: 1px;
}
/* Subtítulo debajo de la imagen */
.podcast-subtitle {
    font-size: 1.1em;
    font-style: italic;
    margin-bottom: 10px;
    margin-top: 5%;
    margin-right: 20%;
    font-weight: bold;
    font-family: "Open Sans", Arial, sans-serif;
    line-height: 1.4em;
    
}

/* Contenido debajo del subtítulo */
.podcast-text {
    font-size: 1.1em;
    margin-bottom: 10px;
    font-family: "Open Sans", Arial, sans-serif;
    line-height: 1.2;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 5;
    overflow: hidden;
    text-overflow: ellipsis;
}

/* Divider al final de cada bloque de podcast */
.divider-home {
    margin: 20px 0;
    border: 1px solid #ccc;
}

/* Estilo de la barra lateral */
.sidebar-home {
    flex: 0 0 25%;
    margin-top: 0;
    margin-left: 0%;
    margin-right: -19%;
}

/* Imágenes de la barra lateral */
.sidebar-home .banner-image img, .sidebar-home .additional-content img {
    width: 200px;
    height: 500px;
    margin-left: 20px;
}

/* estilo reproductor  */
.audio-player {
    display: flex;
    align-items: center;
    background-color: #2c3e50;
    padding: 10px;
    color: #fff;
    border-radius: 5px;
    width: 61%;
    margin-left: 41%;
    margin-top: 2%;
}

.audio-player-footer {
    opacity: 0.9;
}

.play-pause {
    font-size: 24px;
    color: #fff;
    background-color: transparent;
    border: none;
    cursor: pointer;
}

input[type="range"] {
    flex-grow: 1;
    margin: 0 10px;
    cursor: pointer;
}

/* Estilo del círculo de la barra de progreso */
#audio-progress::-webkit-slider-thumb,
#audio-footer-progress::-webkit-slider-thumb {
    -webkit-appearance: none;
    width: 10px; /* Reduce el tamaño del círculo */
    height: 10px;
    background-color: #3498db;
    border-radius: 50%;
    cursor: pointer;
}

#audio-progress,
#audio-footer-progress {
    appearance: none;
    width: 100%;
    height: 6px;
    background: linear-gradient(to right, #e74c3c, #3498db);
    outline: none;
}
button:focus {
    outline: none;
}

.audio-player-footer {
    width: 100%;
    position: fixed;
    bottom: 0;
    left: 0;
    display: flex;
    justify-content: space-between;
    background-color: #222; /* Color oscuro para que resalte */
    padding: 10px;
    z-index: 1000;
    box-sizing: border-box;
    margin-left: 0%;
    display: none;
}

 .play-pause, .play-pause-footer-btn {
    font-size: 24px;
    color: white;
    background: none;
    border: none;
    cursor: pointer;
}

#volume-slider, #footer-volume-slider {
    width: 100px;
}

#close-footer-btn {
    position: absolute;
    right: 130px;
    top: 10px;
    background-color: transparent;
    border: none;
    color: white;
    cursor: pointer;
    font-size: 18px;

}

.volume-slider {

    position: absolute;
    width: 100px; 
    height: 5px;
    margin-top: -1%;
    margin-left: 19%;

}

.volume-footer-control{
    margin-right: 10%;
}
/* Estilo del control deslizante de volumen */
.volume-slider input[type="range"] {
    width: 100%;
    cursor: pointer;


}

.play-button {
    background-color: #49a5bf;/* Azul oscuro */
    color: white; /* Color del texto */
    padding: 10px 20px;
    border-radius: 5px;
    display: inline-block;
    font-size: 16px;
    text-align: center;
    cursor: pointer;
    border: none;
    width: auto;
    height: auto;
    margin-top: 14px;
    margin-left: 166px;
    margin-right:65px
}
.play-button:hover {
    background-color: #0056b3;
  }
  
  .top-section {
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .button-text {
    font-size: 20px;
    font-weight: bold;
    margin-right: 17px;
    margin-top: -5px;
    margin-left: -9px;
  }

.play-button .icon {
    margin-right: 8px; /* Espacio entre el icono y el texto */
    width: 24px;
    height: 24px;
}

.icon {
    width: 24px;
    height: 24px;
  }
  
  .duracion {
    display: block;
    margin-top: 5px;
    font-size: 14px;
    opacity: 0.8;
  }

.triangle {
    width: 0;
    height: 0;
    border-left: 15px solid white;
    border-top: 10px solid transparent;
    border-bottom: 10px solid transparent;
}

.divider-down{
    border-top: 1px solid #cccccc;
    margin: 20px 0;
}

.contenedor-podcast-individual{
    height: 320px;
}

.banner-mobile{
    display: none;
}


/* Media queries para pantallas más pequeñas */
@media (max-width: 1024px) {
    .podcast-1, .podcast-2 {
        width: 100%; /* Cada podcast ocupará el 100% del ancho */
        padding-right: 0;
        border-right: none;
    }

    .podcast-title  {
        margin-left: 145px;
        margin-top: -143px;
        margin-bottom: 153px;
    }

    .podcast-date{
        margin-top: -143px;
        margin-right: 0px;
        margin-left: 143px;
    }

    .image-podcast-1 img, .image-podcast-2 img {
        width: 100%; /* La imagen ocupará el 100% del ancho */
        height: auto;
        width: 40%;
    }

    .main-container{
  
            margin-right: 10%;
            margin-left: 10%;
            width: 80%;
            justify-content: space-between;
            display: block;
        
    }

    .banner-image{
        display: none;
    }

    .banner-mobile{
        display: block;
        width: 85%;
    }

    .contenedor-podcast-individual {
        height: auto;
    }

}


@media screen and (min-width: 1400px){
    .play-button{
    background-color: #49a5bf;
    color: white;
    padding: 10px 20px;
    border-radius: 5px;
    display: inline-block;
    font-size: 16px;
    text-align: center;
    cursor: pointer;
    border: none;
    width: auto;
    height: auto;
    margin-top: 12px;
    margin-left: 166px;
    margin-right: 65px;
    }
}


/* Media queries para dispositivos móviles */
@media (max-width: 768px) {
    .contenedor-podcast {
        flex-direction: column;
        align-items: center;
    }

    .podcast-1, .podcast-2 {
        width: 100%; /* Mostrar un podcast a la vez */
        margin-bottom: 20px; /* Añadir espacio entre los podcasts */
    }

    .play-button {
        margin-left: 0;
        margin-right: 0;
        margin-top:40px;
    }


    .main-container {
        margin-right: 10%;
        margin-left: 10%;
        width: 80%;
        justify-content: space-between;
        display: block;
        margin-top: 30px;
    }

    .titulo-principal{
        color: #05517a;
        font-size: 18px;
        margin-left: 10px;
        margin-right: 5px;
    
    }

    .podcast-title  {
        margin-left: 145px;
        margin-top: -143px;
        margin-bottom: 153px;
    }

    
    .podcast-date{
        margin-top: -143px;
        margin-right: 0px;
        margin-left: 143px;
    }

    .podcast-duracion {
        font-size: 0.8em;
        color: #f67e62;
        font-family: "Open Sans", Arial, sans-serif;
        margin-bottom: -12px;
        margin-left: 145px;
        margin-top: -12px;
    }

    .podcast-duracion-2 {
        font-size: 0.8em;
        color: #f67e62;
        font-family: "Open Sans", Arial, sans-serif;
        margin-bottom: -12px;
        margin-left: 145px;
        margin-top: 1px;
    }
  

}



/* Media query para tablets (pantallas entre 768px y 1024px) */
@media (max-width: 1024px) and (min-width: 768px){

    .podcast-title {
        margin-left: 259px;
        margin-top: -248px;
        margin-bottom: 153px;
    }

    .podcast-date {
        margin-top: -143px;
        margin-left: 260px;
    }

    .podcast-duracion {
        font-size: 0.8em;
        color: #f67e62;
        font-family: "Open Sans", Arial, sans-serif;
        margin-bottom: -12px;
        margin-left: 257px;
        margin-top: -12px;
    }

    .podcast-duracion-2 {
        font-size: 0.8em;
        color: #f67e62;
        font-family: "Open Sans", Arial, sans-serif;
        margin-bottom: 126px;
        margin-left: 256px;
        margin-top: 1px;
    }

    .title-container h2 {
        color: #096494;
        font-family: "Open Sans", Arial, sans-serif;
        font-size: 20px;
        margin-top: -21%;
        margin-left: 40%;
    }

    .date-container p {
        margin: 10px 0;
        font-size: 14px;
        text-align: center;
        margin-top: -26%;
        margin-left: 110px;
        margin-bottom: 10%;
    }

    
}